sql = 'SELECT con_code FROM als_air_configuration_t WHERE con_code = 001'

# 假设 sql 是已经生成的 SQL 查询字符串
from_pos = sql.lower().find('from') + len('from')  # 'from' 后的第一个字符的位置

# 查找 'where' 的位置，如果没有找到则返回 -1
where_pos = sql.lower().find('where')

if where_pos != -1:
    # 如果存在 'where' 子句，则提取 'from' 和 'where' 中间的内容，并去除空格
    table_name = sql[from_pos:where_pos].strip()
else:
    # 如果没有 'where' 子句，则提取 'from' 后面的所有内容，并去除空格
    table_name = sql[from_pos:].strip()

print(table_name)